import { AfterViewInit, Injector, QueryList } from '@angular/core';
import { MessageComponent, StylableComponent } from '@wm/components/base';
import { FormComponent } from '@wm/components/data/form';
import { ButtonComponent } from '@wm/components/input';
import * as i0 from "@angular/core";
export declare class LoginComponent extends StylableComponent implements AfterViewInit {
    static initializeProps: void;
    loginBtnCmp: ButtonComponent;
    formCmp: FormComponent;
    buttonComponents: QueryList<ButtonComponent>;
    messageCmp: MessageComponent;
    loginMessage: {
        type?: string;
        caption?: any;
        show?: boolean;
    };
    errormessage: any;
    eventsource: any;
    constructor(inj: Injector, explicitContext: any);
    onSuccessCB(): void;
    onErrorCB(error?: any): void;
    getLoginDetails(): any;
    doLogin(): void;
    initLoginButtonActions(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "div[wmLogin]", never, {}, {}, ["formCmp", "buttonComponents"], ["*"], false, never>;
}
